
Infrastructure - Bug #2975

Use SSLCACertificateFile directive in apache instead of SSLCACertificatePath

2012-06-19 05:28 - Robert Waltz

Status: Closed Start date: 2012-06-19

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category: d1_cn_buildout Estimated time: 0.00 hour

Target version: Sprint-2012.29-Block.4.3   

Milestone: CCI-1.0.3 Story Points:  

Product Version: *   

Description

We should discuss the option of concatenating all CA files together (cilogon + DataONE) into a single pem file. One for Production

machines and one for Testing machines.

History

#1 - 2012-06-19 21:04 - Robert Waltz

- Target version changed from Sprint-2012.25-Block.4.1 to Sprint-2012.27-Block.4.2

- Milestone changed from CCI-1.0.2 to CCI-1.0.3

#2 - 2012-07-20 18:09 - Robert Waltz

- Target version changed from Sprint-2012.27-Block.4.2 to Sprint-2012.29-Block.4.3

#3 - 2012-07-25 21:35 - Robert Waltz

- Assignee changed from Robert Waltz to Chris Jones

#4 - 2012-07-25 22:35 - Chris Jones

- Subject changed from Use SSLCertificateChainFile directive in apache instead of SSLCACertificatePath to Use SSLCACertificateFile directive in

apache instead of SSLCACertificatePath

- Status changed from New to Closed

dave concatenated the DataONETestCA certificate and the DataONETestIntCA certificate into a DataONETestCAChain.crt file, and I've added the

Cilogon CA certs to that file as well.  I've changed the dataone-cn-os-core postinst script to now set the correct chain file name in the cn-ssl virtual

host configuration, either the production chain or the test chain.  The names are pre-configured in the per-environment debian configuration files.
